[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rawhide report: 20080211 changes



On Fri, 15 Feb 2008 08:05:52 -0500, Ignacio Vazquez-Abrams wrote:

> > > Delete or %exclude any files that would go into the -devel package.
> > > 
> > > Include only files needed at run-time.
> > 
> > That's a very bad idea, as it means perl-XML-Xerces can't be rebuilt anymore. 
> 
> So then don't make it a compat-* package.
> 
> https://www.redhat.com/archives/fedora-devel-list/2008-February/msg01009.html

Would be great if it became policy, though, because previously there
has been movement towards packaging alternative library versions into
compat- plus compat-*-devel packages (or not at all):

$ yum info compat\*-devel\*|grep Name
Name       : compat-guichan05-devel
Name       : compat-guile-16-devel
Name       : compat-libosip2-devel
Name       : compat-wxGTK26-devel


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]